tigase.server.xmppserver.proc

## Class PacketChecker

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstract
  - - tigase.server.xmppserver.proc.S2SAbstractFilter
    - - tigase.server.xmppserver.proc.PacketChecker

- All Implemented Interfaces:
    S2SFilterIfc

      @Bean(name="packetChecker",
            parent=S2SConnectionManager.class,
            active=true)
      public class PacketChecker
      extends S2SAbstractFilter

  Created: Dec 10, 2010 5:53:57 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketChecker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(Packet p, S2SIOService serv, Queue<Packet> results)`
    `void` | `init(S2SConnectionHandlerIfc<S2SIOService> handler, Map<String,Object> props)`
    `protected boolean` | `isAllowed(Packet p, S2SIOService serv, CID cid)` Check if incoming packet is allowed on this connection

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `generateStreamError, generateStreamError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketChecker

          public PacketChecker()

  - ### Method Detail

    - #### init

          public void init(S2SConnectionHandlerIfc<S2SIOService> handler,
                           Map<String,Object> props)

      Specified by:
        `init` in interface `S2SFilterIfc`
      Overrides:
        `init` in class `S2SAbstract`

    - #### filter

          public boolean filter(Packet p,
                                S2SIOService serv,
                                Queue<Packet> results)

    - #### isAllowed

          protected boolean isAllowed(Packet p,
                                      S2SIOService serv,
                                      CID cid)

      Check if incoming packet is allowed on this connection

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.